<?php

namespace Sibs\Sibs\Model;

use Magento\Framework\DataObject\IdentityInterface;
use Magento\Framework\Model\AbstractModel;

class SibsPaymentCards extends AbstractModel implements IdentityInterface
{
    const CACHE_TAG = 'sibs_sibs_sibs_payment_cards';

    protected $_cacheTag = 'sibs_sibs_sibs_payment_cards';

    protected $_eventPrefix = 'sibs_sibs_sibs_payment_cards';

    protected function _construct()
    {
        $this->_init('Sibs\Sibs\Model\ResourceModel\SibsPaymentCards');
    }

    public function getIdentities()
    {
        return [
            self::CACHE_TAG . '_' . $this->getId(),
        ];
    }

    public function getDefaultValues()
    {
        $values = [];

        return $values;
    }
}
